ZITADEL Docs
APIsCore ResourcesV2User

Retrieve the information returned by the identity provider

Retrieve the information returned by the identity provider for registration or updating an existing user with new information..

POST
/v2/idp_intents/{idp_intent_id}

Path Parameters

idp_intent_id*idp_intent_id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

idpIntentToken?idp_intent_token

Response Body

application/json

curl -X POST "https://loading/v2/idp_intents/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "details": {
    "sequence": 0,
    "changeDate": "2023-01-15T01:30:15.01Z",
    "resourceOwner": "string",
    "creationDate": "2023-01-15T01:30:15.01Z"
  },
  "idpInformation": {
    "idpId": "string",
    "userId": "string",
    "userName": "string",
    "rawInformation": {
      "property1": {},
      "property2": {}
    },
    "ldap": {
      "attributes": {
        "property1": {},
        "property2": {}
      }
    }
  },
  "userId": "string",
  "addHumanUser": {
    "userId": "string",
    "username": "string",
    "organization": {
      "orgDomain": "string"
    },
    "profile": {
      "givenName": "string",
      "familyName": "string",
      "nickName": "string",
      "displayName": "string",
      "preferredLanguage": "string",
      "gender": "GENDER_UNSPECIFIED"
    },
    "email": {
      "email": "string",
      "isVerified": true
    },
    "phone": {
      "phone": "string",
      "isVerified": true
    },
    "metadata": [
      {
        "key": "string",
        "value": "string"
      }
    ],
    "idpLinks": [
      {
        "idpId": "string",
        "userId": "string",
        "userName": "string"
      }
    ],
    "totpSecret": "string",
    "hashedPassword": {
      "hash": "string",
      "changeRequired": true
    }
  },
  "updateHumanUser": {
    "userId": "string",
    "username": "string",
    "profile": {
      "givenName": "string",
      "familyName": "string",
      "nickName": "string",
      "displayName": "string",
      "preferredLanguage": "string",
      "gender": "GENDER_UNSPECIFIED"
    },
    "email": {
      "email": "string",
      "isVerified": true
    },
    "phone": {
      "phone": "string",
      "isVerified": true
    },
    "password": {
      "hashedPassword": {
        "hash": "string",
        "changeRequired": true
      },
      "currentPassword": "string"
    }
  },
  "createUser": {
    "organizationId": "string",
    "userId": "string",
    "username": "string",
    "metadata": [
      {
        "key": "string",
        "value": "string"
      }
    ],
    "human": {
      "profile": {
        "givenName": "string",
        "familyName": "string",
        "nickName": "string",
        "displayName": "string",
        "preferredLanguage": "string",
        "gender": "GENDER_UNSPECIFIED"
      },
      "email": {
        "email": "string",
        "isVerified": true
      },
      "phone": {
        "phone": "string",
        "isVerified": true
      },
      "idpLinks": [
        {
          "idpId": "string",
          "userId": "string",
          "userName": "string"
        }
      ],
      "totpSecret": "string",
      "metadata": [
        {
          "key": "string",
          "value": "string"
        }
      ],
      "hashedPassword": {
        "hash": "string",
        "changeRequired": true
      }
    }
  }
}

Was this page helpful?